<ui-select allow-clear ng-model="city.selected" theme="bootstrap" on-select="onSelect($item)">
    <ui-select-match class="allow-clear-select" placeholder="{{config.placeholder}}">
        <span ng-if="$select.selected.parent">{{$select.selected.parent}}</span>&nbsp;<span>{{$select.selected.n}}</span>
    </ui-select-match>
    <ui-select-choices group-by="'parent'" repeat="city.k as city in cities" refresh="filter($select.search)">
        <div ng-bind-html="city.n | highlight: $select.search" refresh-delay="100"></div>
    </ui-select-choices>
</ui-select>
<span class="input-group-btn">
	<button type="button" ng-click="clearSelected()" class="btn btn-default" style="line-height: 20px;">
		<span class="glyphicon glyphicon-trash"></span>
	</button>
</span>